Get Export
curl --request GET \
--url https://{cluster}.voucherify.io/v1/exports/{exportId} \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"id": "exp_CGnCVltmWjI9V1pGlnunw2Nf",
"object": "export",
"created_at": "2022-01-13T09:03:18.293Z",
"status": "DONE",
"channel": "API",
"exported_object": "customer",
"parameters": {
"order": "",
"fields": [
"name",
"id",
"email",
"source_id",
"created_at"
],
"filters": {
"junction": "and"
},
"response_format": "CSV"
},
"result": {
"url": "{{internalVoucherifyURL}}"
},
"user_id": null
}Get Export
Retrieves the URL of the downloadable file, which was generated via the Create Export method.
GET
/
v1
/
exports
/
{exportId}
Get Export
curl --request GET \
--url https://{cluster}.voucherify.io/v1/exports/{exportId} \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"id": "exp_CGnCVltmWjI9V1pGlnunw2Nf",
"object": "export",
"created_at": "2022-01-13T09:03:18.293Z",
"status": "DONE",
"channel": "API",
"exported_object": "customer",
"parameters": {
"order": "",
"fields": [
"name",
"id",
"email",
"source_id",
"created_at"
],
"filters": {
"junction": "and"
},
"response_format": "CSV"
},
"result": {
"url": "{{internalVoucherifyURL}}"
},
"user_id": null
}Authorizations
X-App-Id & X-App-TokenX-Voucherify-OAuth
Scopes
Path Parameters
Response
Returns the export object if a valid identifier was provided in the path.
- Export Voucher
- Export Redemption
- Export Customers
- Export Publication
- Export Orders
- Export Points Expiration
- Export Vouchers Transactions
- Export Product
- Export SKU
Response body schema for GET v1/exports/{exportId}.

